from rest_framework import permissions

from core.models import Student


class IsStudent(permissions.BasePermission):
    def has_permission(self, request, view):
        user = request.user
        return user.is_authenticated() and isinstance(user.get_associated_user(), Student)
